﻿/* This is the script that is embedded in the script part
   found on the intranet home page. */

(function () {

    //media queries
    var gigantic = window.matchMedia("(max-width:2000px)");
    var large = window.matchMedia("(max-width:1500px)");
    var medium = window.matchMedia("(max-width:1300px)");
    var small = window.matchMedia("(max-width:1200px)");
    var tiny = window.matchMedia("(max-width:550px)");

    //handlers
    gigantic.addListener(function () {
        changeView("month");
    });

    large.addListener(function () {
        changeView("month");
    });

    medium.addListener(function () {
        changeView("agendaWeek");
    });

    small.addListener(function () {
        changeView("agendaDay");
    });

    tiny.addListener(function () {
        changeView("smallMonth");
    });

    //change src of iframe
    function changeView(viewName) {
        var frames = window.document.getElementsByTagName("iframe");
        for (var i = 0; i < frames.length; i++) {
            var id = frames[i].getAttribute("id");
            var src = document.getElementById(id).src;
            document.getElementById(id).src = replaceQueryString(src, "view", viewName);
        }
    }

    function replaceQueryString(url, param, value) {
        var re = new RegExp("([?|&])" + param + "=.*?(&|$)", "i");
        if (url.match(re))
            return url.replace(re, '$1' + param + "=" + value + '$2');
        else
            return url + '&' + param + "=" + value;
    }

}())

