﻿"use strict";
var ToDo = window.ToDo || {};

ToDo.App.controller("newCtrl", ["$scope", "$location", "$http",
     function newCtrl($scope, $location, $http) {

         "use strict";
         jQuery("title").text("New Item");

         //create a new to-do
         $scope.createItem = function () {

             if (typeof($scope.item) === "undefined" ||
                 $scope.item.title.length === 0 ||
                 $scope.item.priority.length === 0 ||
                 $scope.item.status.length === 0 ||
                 $scope.item.dueDate.length === 0) {
                 alert("All fields are required!");
             }
             else {
                 $http({
                     url: "../_api/lists/getbyTitle('todo')/items",
                     method: "POST",
                     headers: {
                         "content-type": "application/json;odata=verbose",
                         "accept": "application/json;odata=verbose",
                         "X-RequestDigest": $("#__REQUESTDIGEST").val(),
                     },
                     data: JSON.stringify({
                         __metadata: { "type": "SP.Data.TodoListItem" },
                         Title: $scope.item.title,
                         Priority: $scope.item.priority,
                         Status: $scope.item.status,
                         DueDate: $scope.item.dueDate
                     })
                 }).success(function (data, status, headers, config) {
                     $location.path("/");
                     $scope.$apply();
                 }).error(function (data, status, headers, config) {
                     alert(JSON.stringify(data));
                 });
             }
         };
     }
]);